/// <reference types="react" />
import { BaseDataControl } from "./BaseDataControl";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare enum IRadioStyleType {
    CHECKBOX = "checkbox",
    RADIO = "radio"
}
export declare class XRadioGroup extends BaseDataControl {
    list: string[];
    styleType: IRadioStyleType;
    render(): JSX.Element;
    private handleChange;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
